---
import { type CollectionEntry, getCollection } from 'astro:content';
import DefaultLayout from "@/layouts/DefaultLayout.astro";

export async function getStaticPaths() {
	const posts = await getCollection('blog');
	return posts.map((post) => ({
		params: { slug: post.slug },
		props: post,
	}));
}
type Props = CollectionEntry<'blog'>;

const post = Astro.props;
const { Content } = await post.render();
---

<DefaultLayout {...post.data}>
    <section id="article">
        <Content />
    </section>
</DefaultLayout>
